| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

### - a -

- Account : ChannelDispatchOperationInterface , ChannelRequestInterface
- ApproverChannelFilter : ClientApproverInterface
- AutomaticPresence : AccountInterface
- AvailableSocketTypes : ChannelTypeFileTransferInterface
- Avatar : AccountInterfaceAvatarInterface

### - b -

- BypassApproval : ClientHandlerInterface

### - c -

- Capabilities : ClientHandlerInterface
- Channels : ChannelDispatchOperationInterface , ConnectionInterfaceRequestsInterface
- ChannelType : ChannelInterface
- ConnectAutomatically : AccountInterface
- Connection : AccountInterface , ChannelDispatchOperationInterface
- ConnectionStatus : AccountInterface
- ConnectionStatusReason : AccountInterface
- ContactAttributeInterfaces : ConnectionInterfaceContactsInterface
- ContentHash : ChannelTypeFileTransferInterface
- ContentHashType : ChannelTypeFileTransferInterface
- ContentType : ChannelTypeFileTransferInterface
- CreatedLocally : MediaStreamHandlerInterface
- CurrentPresence : AccountInterface

### - d -

- Date : ChannelTypeFileTransferInterface
- DeliveryReportingSupport : ChannelInterfaceMessagesInterface
- Description : ChannelTypeFileTransferInterface
- DisplayName : AccountInterface

### - e -

- Enabled : AccountInterface

### - f -

- Filename : ChannelTypeFileTransferInterface

### - g -

- GroupFlags : ChannelInterfaceGroupInterface

### - h -

- HandledChannels : ClientHandlerInterface
- HandleOwners : ChannelInterfaceGroupInterface
- HandlerChannelFilter : ClientHandlerInterface
- HasBeenOnline : AccountInterface

### - i -

- Icon : AccountInterface
- ImmutableStreams : ChannelTypeStreamedMediaInterface
- InitialAudio : ChannelTypeStreamedMediaInterface
- InitialOffset : ChannelTypeFileTransferInterface
- InitialVideo : ChannelTypeStreamedMediaInterface
- InitiatorHandle : ChannelInterface
- InitiatorID : ChannelInterface
- Interfaces : ChannelDispatchOperationInterface , AccountInterface , ChannelInterface , ChannelRequestInterface , ConnectionManagerInterface , ClientInterface , AccountManagerInterface , ChannelDispatcherInterface
- InvalidAccounts : AccountManagerInterface

### - l -

- LocalPendingMembers : ChannelInterfaceGroupInterface

### - m -

- MaximumAvatarBytes : ConnectionInterfaceAvatarsInterface
- MaximumAvatarHeight : ConnectionInterfaceAvatarsInterface
- MaximumAvatarWidth : ConnectionInterfaceAvatarsInterface
- Members : ChannelInterfaceGroupInterface
- MessagePartSupportFlags : ChannelInterfaceMessagesInterface
- MinimumAvatarHeight : ConnectionInterfaceAvatarsInterface
- MinimumAvatarWidth : ConnectionInterfaceAvatarsInterface

### - n -

- NATTraversal : MediaStreamHandlerInterface
- Nickname : AccountInterface
- NormalizedName : AccountInterface

### - o -

- ObserverChannelFilter : ClientObserverInterface

### - p -

- Parameters : AccountInterface , ChannelInterfaceTubeInterface
- PendingMessages : ChannelInterfaceMessagesInterface
- PossibleHandlers : ChannelDispatchOperationInterface
- PreferredHandler : ChannelRequestInterface

### - r -

- RecommendedAvatarHeight : ConnectionInterfaceAvatarsInterface
- RecommendedAvatarWidth : ConnectionInterfaceAvatarsInterface
- RelayInfo : MediaStreamHandlerInterface
- RemotePendingMembers : ChannelInterfaceGroupInterface
- RequestableChannelClasses : ConnectionInterfaceRequestsInterface
- Requested : ChannelInterface
- RequestedPresence : AccountInterface
- Requests : ChannelRequestInterface

### - s -

- SelfHandle : ChannelInterfaceGroupInterface , ConnectionInterface
- Server : ChannelTypeRoomListInterface
- Service : ChannelTypeStreamTubeInterface
- Size : ChannelTypeFileTransferInterface
- State : ChannelInterfaceTubeInterface , ChannelTypeFileTransferInterface
- Statuses : ConnectionInterfaceSimplePresenceInterface
- STUNServers : MediaStreamHandlerInterface
- SupportedAccountProperties : AccountManagerInterface
- SupportedAvatarMIMETypes : ConnectionInterfaceAvatarsInterface
- SupportedContentTypes : ChannelInterfaceMessagesInterface
- SupportedSocketTypes : ChannelTypeStreamTubeInterface

### - t -

- TargetHandle : ChannelInterface
- TargetHandleType : ChannelInterface
- TargetID : ChannelInterface
- TransferredBytes : ChannelTypeFileTransferInterface

### - u -

- UserActionTime : ChannelRequestInterface

### - v -

- Valid : AccountInterface
- ValidAccounts : AccountManagerInterface